Proyectos
GET https://microweb.me/api/projects/
curl --request GET \
--url 'https://microweb.me/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://microweb.me/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional String | The search string. |
| search_by | Opcional String | What field are you searching by. Allowed values are: name. |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional String | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional String | Filtra los resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional String | What field to order the results by. Allowed values are: project_id, datetime, last_datetime, name. |
| order_type | Opcional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Opcional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Opcional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-15 04:15:38",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://microweb.me/api/projects?page=1",
"last": "https://microweb.me/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://microweb.me/api/projects?page=1"
}
}
GET https://microweb.me/api/projects/{project_id}
curl --request GET \
--url 'https://microweb.me/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://microweb.me/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-15 04:15:38",
}
}
POST https://microweb.me/api/projects
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido String | - |
| color | Opcional String | - |
curl --request POST \
--url 'https://microweb.me/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://microweb.me/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://microweb.me/api/projects/{project_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional String | - |
| color | Opcional String | - |
curl --request POST \
--url 'https://microweb.me/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://microweb.me/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://microweb.me/api/projects/{project_id}
curl --request DELETE \
--url 'https://microweb.me/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://microweb.me/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \